General
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade Kernel 2.4 to 2.6 (Redhat 9.0)

SOLVED
Go to solution
Guvenc Gulce
Esteemed Contributor

Upgrade Kernel 2.4 to 2.6 (Redhat 9.0)

Hi All,

I have a working red hat 9.0 installation on my laptop and I was happy with it till I found out that I need to install wireless lan driver for my dsl connection.

It is an intel wlan card(lpw2100). The problem is, the installation of this driver pre-requests, kernel version 2.6 . I have been googling around for a while and it turns out to be more complicated than I expected and also there are no official documents from redhat which clearly states, do this and do that, then you can upgrade it to kernel 2.6

My questions are:

1-) I have heard about source kernels(which I need to compile by myself) and rpm kernels (I am not sure whether those are pre-compiled) I would like to opt for a rpm kernel in order to save some hassle but I dont seem to find anywhere 2.6 kernel rpms for red hat 9.0 with kernel 2.4. Could you guys point me to an article where it is explained how to upgrade kernel 2.4 to 2.6 with rpms for red-hat 9.0 ?

2-)Another alternative is ofcourse, a fresh installation. Is it possible to upgrade from red-hat 9.0 to Fedora Core 3 or shall I forget it and go for a clean installation ?

Thanks in advance for the ideas

Guvenc
2 REPLIES
David Asgeirsson
Valued Contributor
Solution

Re: Upgrade Kernel 2.4 to 2.6 (Redhat 9.0)

Hi Guvenc,
You won't find any rpms of kernel 2.6 for RH9, it is no longer supported by RedHat. The easiest path for you is probably to install Fedora Core 3 (if your laptop is supported) and it is more likely that your wireless card will be "autodetected".

You should check the docs for Fedora carefully first to see if your laptop is on a compatibility list, and if you have enough HD CPU and RAM available.

- Dave
Andrew Cowan
Honored Contributor

Re: Upgrade Kernel 2.4 to 2.6 (Redhat 9.0)

Dave's absolutely right, hoewever one thing that you can do if your card is not directly supported by your Linux distro is to install a third party driver adapter such as NDISWrapper (http://ndiswrapper.sourceforge.net/) or Linuxant (http://www.linuxant.com/driverloader/)